Get the billing history for the organization.

GET /api/v1/billing/organization/{organization_id}/history

Retrieves the billing statement and invoice history for the organization, including statement periods, amounts, statuses, and PDF download links when available.

Path parameters

  • organization_id string Required

Responses

  • 200 application/json

    Successful fetched billing history.

    Hide response attributes Show response attributes object
    • invoices array[object]
      Hide invoices attributes Show invoices attributes object
      • external_invoice_pdf_download string
      • invoice_pdf_download string
      • invoiced_amount_in_cents integer Required
      • issue_date string(date) Required
      • number integer Required
      • organization_id string Required
      • payment_metadata object
        Hide payment_metadata attributes Show payment_metadata attributes object
        • amount number
        • currency string
        • external_invoice_id string
      • period_end_date string(date) Required
      • period_start_date string(date) Required
      • status string Required
      • type string Required
    • statements array[object]
      Hide statements attributes Show statements attributes object
      • currency string
      • ecu_total integer
      • external_invoice_pdf_download string

        Presigned S3 URL for the externally generated (e.g. Recurly) invoice PDF. Present only when that PDF exists in S3.

      • invoiced_amount_in_cents integer
      • issue_date string
      • number string
      • organization_id string
      • payment_metadata object

        Present only when payment details exist (e.g. Recurly details for direct monthly CC statements).

        Hide payment_metadata attributes Show payment_metadata attributes object
        • amount number
        • currency string
        • external_invoice_id string
      • period_end_date string
      • period_start_date string
      • reseller boolean
      • status string
      • type string
      • usage_pdf_download string
  • 401 text/plain

    Access token is missing or invalid

  • 404

    Not found.

  • 500

    Internal Server Error.

GET /api/v1/billing/organization/{organization_id}/history
curl \
 --request GET 'https://cloud.elastic.co/api/v1/billing/organization/{organization_id}/history'
Response examples (200)
{
  "invoices": [
    {
      "invoiced_amount_in_cents": 0,
      "issue_date": "2022-05-01",
      "number": 1,
      "organization_id": "1",
      "period_end_date": "2022-05-31",
      "period_start_date": "2022-05-01",
      "status": "paid",
      "type": "invoice"
    }
  ],
  "statements": []
}